> ## Documentation Index
> Fetch the complete documentation index at: https://docs-int.wingback.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Payment Method

> Create a new payment method and select it. Currently, only Stripe VBAN transfer is supported. To add credit cards or direct debit, create a [Payment Session](dev/api-reference/payment/post_c_customer_customerid_payment_session) and collect the data using [Wingback.js.](/dev/guides/integrate-wingback-signup-flow#create-a-payment-method-session-in-wingback-backend)

export const IntRedir = () => {
  if (typeof document === "undefined") {
    return null;
  } else {
    setTimeout(() => {
      const currentUrl = new URL(window.location.href);
      if (currentUrl.hostname === 'docs-int.wingback.com') {
        currentUrl.hostname = 'docs.wingback.com';
        window.location.replace(currentUrl.toString());
      }
    }, 1);
    return <></>;
  }
};

<IntRedir />


## OpenAPI

````yaml POST /v1/c/customer/{customer_id}/payment/method
openapi: 3.0.3
info:
  title: wingback-api
  description: ''
  contact:
    name: ''
  license:
    name: commercial
  version: 0.1.0
servers:
  - url: http://127.0.0.1:8080
    description: Local server
  - url: https://api.app.test.wingback.com
    description: Testing server
security: []
paths:
  /v1/c/customer/{customer_id}/payment/method:
    post:
      tags:
        - payment-method
      summary: Create a new payment method and select it.
      description: Currently only Stripe Direct Debit supported
      operationId: create_payment_method
      parameters:
        - name: customer_id
          in: path
          description: Id of the customer
          required: true
          schema:
            type: string
      responses:
        '200':
          description: customer payment methods
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inbound.payment.CreatePaymentMethod'
      security:
        - api-key: []
        - wb_user_cookie: []
components:
  schemas:
    inbound.payment.CreatePaymentMethod:
      type: object
      description: Payment Configuration setup intent
      required:
        - type
        - provider
      properties:
        provider:
          $ref: '#/components/schemas/core.payment.Provider'
        type:
          $ref: '#/components/schemas/PaymentMethodType'
    core.payment.Provider:
      type: string
      description: |-
        The payment providers known by the backend.

        Those variants MUST be kept identical to the variants of
        the payment_provider enum of the postgres database
      enum:
        - authorize
        - self_handled
        - stripe
      example: stripe
    PaymentMethodType:
      type: string
      description: Type of the payment method to create
      enum:
        - vban_bank_transfer_eu
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: wb-key
    wb_user_cookie:
      type: apiKey
      in: cookie
      name: app-session

````